## akonadi-calendar 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Akonadi-Calendar)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.12.0")
set(AKONADICALENDAR_LIB_VERSION "4.80.0")
set(CALENDARCORE_LIB_VERSION "4.80.0")
set(AKONADICONTACT_LIB_VERSION "4.79.0")
set(AKONADI_LIB_VERSION "4.86.0")
set(MAILTRANSPORT_LIB_VERSION "4.79.0")
set(KCONTACTS_LIB_VERSION "4.79.0")
set(CALENDARUTILS_LIB_VERSION "4.79.0")
set(IDENTITYMANAGEMENT_LIB_VERSION "4.79.0")
ecm_setup_version(${AKONADICALENDAR_LIB_VERSION} VARIABLE_PREFIX AKONADICALENDAR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
                        SOVERSION 5
)

configure_file(akonadi-calendar-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)


########### Find packages ###########
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5MailTransport ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif ()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiCalendar")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AkonadiCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiCalendarTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(QT_REQUIRED_VERSION "5.2.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)



set( KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE )

set( PREVIOUS_EXEC_OUTPUT_PATH ../../tests )
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

add_definitions(-DITIP_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/itip_data\\"" )

set(common_sources unittestbase.cpp helper.cpp ${Akonadi-Calendar_BINARY_DIR}/src/akonadicalendar_debug.cpp ${Akonadi-Calendar_SOURCE_DIR}/src/utils_p.cpp)

# the tests need the ical resource, which we might not have at this point (e.g. on the CI)
find_program(AKONADI_ICAL_RESOURCE NAMES akonadi_ical_resource)
if (AKONADI_ICAL_RESOURCE)
add_akonadi_isolated_test_advanced( historytest.cpp "${common_sources}" "KF5::AkonadiCalendar;KF5::CalendarCore;KF5::Mime;KF5::IdentityManagement;KF5::AkonadiWidgets")
add_akonadi_isolated_test_advanced( incidencechangertest.cpp "" "KF5::AkonadiCalendar" )
add_akonadi_isolated_test_advanced( calendarbasetest.cpp "" "KF5::AkonadiCalendar" )
add_akonadi_isolated_test_advanced( fetchjobcalendartest.cpp "" "KF5::AkonadiCalendar" )
add_akonadi_isolated_test_advanced( etmcalendartest.cpp "" "KF5::AkonadiCalendar" )


if ( PLEASE_TEST_INVITATIONS )
  add_akonadi_isolated_test_advanced( itiphandlertest.cpp "${common_sources}" "")
  add_akonadi_isolated_test_advanced( mailclienttest.cpp "" "KF5::AkonadiCalendar")
endif()
endif()

=== src/CMakeLists.txt ===

# TODO: Add a cmake option for this and enable it on jenkins
set( PLEASE_TEST_INVITATIONS FALSE)
if ( PLEASE_TEST_INVITATIONS )
  add_definitions( -DPLEASE_TEST_INVITATIONS )
endif()

set(akonadicalendar_LIB_SRC
  blockalarmsattribute.cpp
  calendarbase.cpp
  calendarclipboard.cpp
  calendarmodel.cpp
  calfilterproxymodel_p.cpp
  etmcalendar.cpp
  history.cpp
  history_p.cpp
  icalimporter.cpp
  incidencefetchjob_p.cpp
  incidencechanger.cpp
  incidencechanger_p.cpp
  itiphandler.cpp
  itiphandler_p.cpp
  itiphandlerhelper_p.cpp
  kcolumnfilterproxymodel.cpp
  fetchjobcalendar.cpp
  freebusydownloadjob_p.cpp
  freebusymanager.cpp
  freebusyproviderbase.cpp
  mailclient_p.cpp
  mailscheduler_p.cpp
  publishdialog.cpp
  publishdialog_p.cpp
  scheduler_p.cpp
  standardcalendaractionmanager.cpp
  todopurger.cpp
  utils_p.cpp
  calfilterpartstatusproxymodel_p.cpp
)

ecm_qt_declare_logging_category(akonadicalendar_LIB_SRC HEADER akonadicalendar_debug.h IDENTIFIER AKONADICALENDAR_LOG CATEGORY_NAME log_akonadicalendar)

kconfig_add_kcfg_files(akonadicalendar_LIB_SRC calendarsettings.kcfgc)
ki18n_wrap_ui(akonadicalendar_LIB_SRC publishdialog_base.ui)

qt5_add_dbus_adaptor( akonadicalendar_LIB_SRC interfaces/org.freedesktop.Akonadi.Resource.FreeBusyProvider.xml freebusyproviderbase_p.h Akonadi::FreeBusyProviderBasePrivate freebusyprovideradaptor  Akonadi__FreeBusyProviderAdaptor )
add_library(KF5AkonadiCalendar ${akonadicalendar_LIB_SRC})

generate_export_header(KF5AkonadiCalendar BASE_NAME akonadi-calendar)

add_library(KF5::AkonadiCalendar ALIAS KF5AkonadiCalendar)

target_include_directories(KF5AkonadiCalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Akonadi/Calendar;${KF5_INCLUDE_INSTALL_DIR}/akonadi/calendar;${Boost_INCLUDE_DIR}>")
target_include_directories(KF5AkonadiCalendar PUBLIC "$<BUILD_INTERFACE:${Akonadi-Calendar_SOURCE_DIR}/src;${Akonadi-Calendar_BINARY_DIR}/src;${Boost_INCLUDE_DIR}>")

target_link_libraries(KF5AkonadiCalendar
PUBLIC
    KF5::AkonadiCore
    KF5::CalendarCore
PRIVATE
    KF5::AkonadiContact
    KF5::CalendarUtils
    KF5::AkonadiWidgets
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::Codecs
    KF5::DBusAddons
)

set_target_properties(KF5AkonadiCalendar PROPERTIES
    VERSION ${AKONADICALENDAR_VERSION_STRING}
    SOVERSION ${AKONADICALENDAR_SOVERSION}
    EXPORT_NAME AkonadiCalendar
)

ecm_generate_pri_file(BASE_NAME AkonadiCalendar
    LIB_NAME KF5AkonadiCalendar
    DEPS "AkonadiCore CalendarCore" FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(TARGETS
    KF5AkonadiCalendar
    EXPORT KF5AkonadiCalendarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(AkonadiCalendar_CamelCase_HEADERS
  HEADER_NAMES
  BlockAlarmsAttribute
  CalendarBase
  CalendarClipboard
  ETMCalendar
  FetchJobCalendar
  FreeBusyManager
  FreeBusyProviderBase
  History
  ICalImporter
  IncidenceChanger
  ITIPHandler
  PublishDialog
  StandardCalendarActionManager
  TodoPurger
  REQUIRED_HEADERS AkonadiCalendar_HEADERS
  PREFIX Akonadi/Calendar
)

install( FILES
  ${AkonadiCalendar_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Akonadi/Calendar COMPONENT Devel
)
install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_export.h
  ${AkonadiCalendar_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/calendarsettings.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/akonadi/calendar COMPONENT Devel
)

## akonadi-calendar 15.08.2

=== debian/changelog ===
akonadi-calendar (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:44:54 +0100

akonadi-calendar (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:02:07 +0100

akonadi-calendar (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:53:13 +0100

akonadi-calendar (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:54:04 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               kio-dev,
               libkf5akonadi-dev,
               libkf5akonadicontact-dev,
               libkf5calendarcore-dev,
               libkf5calendarutils-dev,
               libkf5codecs-dev,
               libkf5contacts-dev,
               libkf5identitymanagement-dev,
               libkf5kdelibs4support-dev,
               libkf5mailtransport-dev,
               libkf5wallet-dev,
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi-calendar.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi-calendar.git

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev,
         libkf5akonadicalendar5 (= ${binary:Version}),
         libkf5akonadicontact-dev,
         libkf5calendarcore-dev,
         ${misc:Depends}
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar5 (= ${binary:Version}), ${misc:Depends}
Description: akonadi-calendar - debug symbols
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the debug symbols.

## akonadi-calendar 15.12.3

=== debian/changelog ===
akonadi-calendar (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:44:54 -0700

akonadi-calendar (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Update build dep version.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 20:38:06 -0800

akonadi-calendar (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

  [ Scarlett Clark ]
  * Bump build dependency versions. 
  * Fix merge.

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:20:07 +0100

akonadi-calendar (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:13:18 +0100

akonadi-calendar (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:22 +0200

akonadi-calendar (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 23:42:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               kio-dev,
-               libkf5akonadi-dev,
-               libkf5akonadicontact-dev,
-               libkf5calendarcore-dev,
-               libkf5calendarutils-dev,
-               libkf5codecs-dev,
-               libkf5contacts-dev,
-               libkf5identitymanagement-dev,
-               libkf5kdelibs4support-dev,
-               libkf5mailtransport-dev,
-               libkf5wallet-dev,
-               pkg-kde-tools (>> 0.15.15)
+               extra-cmake-modules (>= 5.14.0~),
+               kio-dev (>= 5.12.0~),
+               libkf5akonadi-dev (>= 15.12.1~),
+               libkf5akonadicontact-dev (>= 15.12.1~),
+               libkf5calendarcore-dev (>= 15.12.1~),
+               libkf5calendarutils-dev (>= 15.12.1~), 
+               libkf5codecs-dev (>= 5.12.0~),
+               libkf5contacts-dev (>= 15.12.1~),
+               libkf5identitymanagement-dev (>= 15.12.1~),
+               libkf5kdelibs4support-dev (>= 5.12.0~),
+               libkf5mailtransport-dev (>= 15.12.1~),
+               libkf5wallet-dev (>= 5.12.0~),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi-calendar.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi-calendar.git
@@ -26,10 +27,10 @@
 Package: libkf5akonadicalendar-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev,
+Depends: libkf5akonadi-dev (>= 4.86.0~),
          libkf5akonadicalendar5 (= ${binary:Version}),
-         libkf5akonadicontact-dev,
-         libkf5calendarcore-dev,
+         libkf5akonadicontact-dev (>= 4.79.0~),
+         libkf5calendarcore-dev (>= 4.80.0~),
          ${misc:Depends}
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5akonadicalendar-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-calendar 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(Akonadi-Calendar)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.17.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,18 +14,18 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.12.0")
-set(AKONADICALENDAR_LIB_VERSION "4.80.0")
-set(CALENDARCORE_LIB_VERSION "4.80.0")
-set(AKONADICONTACT_LIB_VERSION "4.79.0")
-set(AKONADI_LIB_VERSION "4.86.0")
-set(MAILTRANSPORT_LIB_VERSION "4.79.0")
-set(KCONTACTS_LIB_VERSION "4.79.0")
-set(CALENDARUTILS_LIB_VERSION "4.79.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "4.79.0")
+set(KF5_VERSION "5.19.0")
+set(AKONADICALENDAR_LIB_VERSION "5.2.2")
+set(CALENDARCORE_LIB_VERSION "5.2.0")
+set(AKONADICONTACT_LIB_VERSION "5.2.0")
+set(AKONADI_LIB_VERSION "5.2.0")
+set(MAILTRANSPORT_LIB_VERSION "5.2.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
+set(CALENDARUTILS_LIB_VERSION "5.2.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.2.0")
 ecm_setup_version(${AKONADICALENDAR_LIB_VERSION} VARIABLE_PREFIX AKONADICALENDAR
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"

=== debian/changelog ===
akonadi-calendar (16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 17:04:01 +0200

akonadi-calendar (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:50:51 +0200

akonadi-calendar (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-2).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Bump mailtransport build dependency

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 11:52:50 +0200

akonadi-calendar (15.12.0-2) experimental; urgency=medium

  * Update build dependencies to follow the package version instead of
    the libraries soversions.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Feb 2016 14:51:39 +0100

akonadi-calendar (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:58 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.17.0~),
               kio-dev (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5akonadicontact-dev (>= 4:15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarutils-dev (>= 15.12~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 15.12~),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5mailtransport-dev (>= 16.04.0~),
               libkf5wallet-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-calendar.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-calendar.git

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadicalendar5 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 5.2.0~),
         libkf5calendarcore-dev (>= 5.2.0~),
         ${misc:Depends}
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-calendar 16.04.3

=== debian/changelog ===
akonadi-calendar (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump build deps versions. 
  * Fix merge markers. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * Fixing wildcard in install file
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:07 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicontact-dev (>= 4:16.04.3~),
               libkf5calendarcore-dev (>= 4:16.04.3~),
               libkf5calendarutils-dev (>= 4:16.04.3~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5contacts-dev (>= 4:16.04.3~),
               libkf5identitymanagement-dev (>= 16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5mailtransport-dev (>= 16.04.3~),
               libkf5wallet-dev (>= 5.24.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5akonadicalendar5 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:16.04.3~),
         libkf5calendarcore-dev (>= 4:16.04.3~),
         ${misc:Depends}
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-calendar 17.04.3

=== debian/changelog ===
akonadi-calendar (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Create libkf5akonadicalendar-data and install usr/share/locale there
  * Update symbols files
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:32 +0100

akonadi-calendar (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * New upstream version
  * Refresh symbols

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)
  * Handle ABI break: libkf5akonadicalendar5 -> libkf5akonadicalendar5abi1
    with debianabimanager.

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:27 +0100

akonadi-calendar (4:16.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:16:50 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5calendarutils-dev (>= 4:17.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 17.04.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:17.04.3~),
         libkf5calendarcore-dev (>= 4:17.04.3~),
         ${misc:Depends}
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Depends: ${misc:Depends}
Description: library providing calendar helpers for Akonadi items - data files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

## akonadi-calendar 17.08.3

=== debian/changelog ===
akonadi-calendar (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Add the libkf5akonadicontact-dev dependency in libkf5akonadicalendar-dev,
    as the latter requires the former (see cmake config files).
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:14:14 +0100

akonadi-calendar (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:17:48 +0100

akonadi-calendar (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Replace dbus-launch with dbus-run-session in tests (Closes: 835828)
    Thanks to Simon McVittie for reporting
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:14:22 +0200

akonadi-calendar (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:39 +0000

akonadi-calendar (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:07 +0000

akonadi-calendar (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:26 +0000

akonadi-calendar (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:08:14 +0000

akonadi-calendar (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:58 +0000

akonadi-calendar (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

akonadi-calendar (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:22 +0000

akonadi-calendar (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:25 +0000

akonadi-calendar (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:52 +0000

akonadi-calendar (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:47 +0000

akonadi-calendar (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:11 +0000

akonadi-calendar (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:52 +0000

akonadi-calendar (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:07 +0000

akonadi-calendar (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:50:50 +0000

akonadi-calendar (16.08.2-1~1.gbpbf4678) UNRELEASED; urgency=medium

  ** SNAPSHOT build @bf4678bcef87e992b5bf1feffa622f3c9f9a9061 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @c4a3515cf33f4f93fcaf9e61f7d47064d1f68109 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 14 Oct 2016 00:51:27 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.35.0~),
               libkf5akonadi-dev (>= 4:17.08.3~),
               libkf5akonadicontact-dev (>= 4:17.08.3~),
               libkf5calendarcore-dev (>= 4:17.08.3~),
               libkf5calendarutils-dev (>= 4:17.08.3~),
               libkf5codecs-dev (>= 5.35.0~),
               libkf5contacts-dev (>= 4:17.08.3~),
               libkf5identitymanagement-dev (>= 17.08.3~),
               libkf5kio-dev (>= 5.35.0~),
               libkf5mailtransport-dev (>= 17.08.3~),
               libkf5wallet-dev (>= 5.35.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-calendar.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-calendar.git

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:17.08.3~),
         libkf5akonadicalendar5 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:17.08.3~),
         libkf5calendarcore-dev (>= 4:17.08.3~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.
Breaks: libkf5calendarsupport-dev (<< 4:17.08),
        libkf5eventviews-dev (<< 4:17.08),
        libkf5incidenceeditor-dev (<< 17.08),

Package: libkf5akonadicalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:17.08),
        kmail (<< 4:17.08),
        konsolekalendar (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor-bin (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-calendar 17.12.2

=== debian/changelog ===
akonadi-calendar (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Use DebianABIManager to handle libkf5akonadicalendar properly.
  * Update library from libkf5akonadicalendar5 ->
    libkf5akonadicalendar5abi1, because of ABI breakage.
  * Add new package libkf5akonadicalendar5-data to hold arch independent
    files.
  * Bump debhelper build-dep and compat to 11.
  * Mark libkf5akonadicalendar-dev as Multi-Arch: same.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:12:55 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:17.12.2~),
               libkf5akonadicontact-dev (>= 4:17.12.2~),
               libkf5calendarcore-dev (>= 4:17.12.2~),
               libkf5calendarutils-dev (>= 4:17.12.2~),
               libkf5codecs-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:17.12.2~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5iconthemes-dev (>= 5.39.0~),
               libkf5identitymanagement-dev (>= 17.12.2~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mailtransport-dev (>= 17.12.2~),
               libkf5wallet-dev (>= 5.39.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadicalendar5, ${kde-l10n:all}
Replaces: libkf5akonadicalendar5, ${kde-l10n:all}
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.12.2~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:17.12.2~),
         libkf5calendarcore-dev (>= 4:17.12.2~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.
Breaks: libkf5calendarsupport-dev (<< 4:17.08),
        libkf5eventviews-dev (<< 4:17.08),
        libkf5incidenceeditor-dev (<< 17.08),

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:17.08),
        kmail (<< 4:17.08),
        konsolekalendar (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor-bin (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

## akonadi-calendar 17.12.3

=== debian/changelog ===
akonadi-calendar (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:21:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:17.12.2~),
-               libkf5akonadicontact-dev (>= 4:17.12.2~),
-               libkf5calendarcore-dev (>= 4:17.12.2~),
-               libkf5calendarutils-dev (>= 4:17.12.2~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.39.0~),
-               libkf5contacts-dev (>= 4:17.12.2~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5dbusaddons-dev (>= 5.39.0~),
                libkf5iconthemes-dev (>= 5.39.0~),
-               libkf5identitymanagement-dev (>= 17.12.2~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mailtransport-dev (>= 17.12.2~),
+               libkf5mailtransport-dev (>= 17.12.3~),
                libkf5wallet-dev (>= 5.39.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.8.0~),
@@ -41,10 +41,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.2~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:17.12.2~),
-         libkf5calendarcore-dev (>= 4:17.12.2~),
+         libkf5akonadicontact-dev (>= 4:17.12.3~),
+         libkf5calendarcore-dev (>= 4:17.12.3~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,3 @@
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'
-
-override_dh_auto_test:
-	# Disable auto test at build time, fakeroot breaks them
-	:

## akonadi-calendar 18.04.3

=== debian/changelog ===
akonadi-calendar (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install .categories files
  * Install plugins moved from kdepim-runtime, and add breaks/replaces
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:18 +0100

akonadi-calendar (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:27 +0000

akonadi-calendar (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5akonadicalendar5abi1 -> libkf5akonadicalendar5abi2
  * Update symbols from amd64 buildlog

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:03 +0000

akonadi-calendar (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * Update symbols from build logs
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 14:59:52 +0000

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5akonadicontact-dev (>= 4:18.04.3~),
               libkf5calendarcore-dev (>= 4:18.04.3~),
               libkf5calendarutils-dev (>= 4:18.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.04.3~),
               libkf5contacts-dev (>= 4:18.04.3~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 18.04.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:18.04.3~),
         libkf5akonadicalendar5abi2 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:18.04.3~),
         libkf5calendarcore-dev (>= 4:18.04.3~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~),
Replaces: kdepim-runtime (<< 4:18.03.70~)
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Depends: ${misc:Depends}
Description: library providing calendar helpers for Akonadi items - data files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
